Sniffer - driver version

Jouni Malinen jkmaline at cc.hut.fi
Tue Oct 12 00:21:47 EDT 2004


On Thu, Nov 11, 2004 at 06:20:06PM +0100, Juana Pérez wrote:

> I am using the latest host ap driver version... As I have not found a sniffer program for this version I have used the one that comes with hostap-0.0.4 packet.... The problem I see is that may be this program and the driver functions it calls... may be not compatible as when I run the sniffer I see that request to send frames cannot be seen... 
> Could that problem be caused by the driver version??

I don't even remember what the sniffer program in v0.0.4 was using as an
interface (nor do I really want to remember ;-). Most recent versions of
sniffers, like Ethereal and tcpdump, should work fine with the 0.2.x
release of Host AP driver assuming you are using recent version (0.7.x
or newer if I remember correctly) of libpcap.

-- 
Jouni Malinen                                            PGP id EFC895FA



More information about the HostAP mailing list